Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.operations
Class Operation

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.operations.Operation

Direct Known Subclasses:
  And, Div, Equals, Gt, Gte, Lt, Lte, Minus, Mod, Mult, NotEquals, Or, Plus, Quo

public class Operation
extends Expression

The baseclass for a binary operation.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Field Summary
`protected Expression` | `m_left` The left operand expression.
`protected Expression` | `m_right` The right operand expression.

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`Operation()`

Method Summary
`boolean` | `canTraverseOutsideSubtree()` Tell if this expression or it's subexpressions can traverse outside the current subtree.
`XObject` | `execute(XPathContext xctxt)` Execute a binary operation by calling execute on each of the operands, and then calling the operate method on the derived class.
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.
`Expression` | `getLeftOperand()`
`Expression` | `getRightOperand()`
`XObject` | `operate(XObject left, XObject right)` Apply the operation to two operands, and return the result.
`void` | `setLeftRight(Expression l, Expression r)` Set the left and right operand expressions for this operation.

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, error, execute, execute, executeCharsToContentHandler, isNodesetExpr, isStableNumber, num, setSourceLocator, warn, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_left

    protected Expression m_left

  The left operand expression.

### m_right

    protected Expression m_right

  The right operand expression.

Constructor Detail

### Operation

    public Operation()

Method Detail

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  This function is used to fixup variables from QNames to stack frame indexes at stylesheet build time.

  Parameters:
    `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame).
  Overrides:
    fixupVariables in class Expression

### canTraverseOutsideSubtree

    public boolean canTraverseOutsideSubtree()

  Tell if this expression or it's subexpressions can traverse outside the current subtree.

  Returns:
    true if traversal outside the context node's subtree can occur.
  Overrides:
    canTraverseOutsideSubtree in class Expression

### setLeftRight

    public void setLeftRight(Expression l,
                             Expression r)

  Set the left and right operand expressions for this operation.

  Parameters:
    `l` - The left expression operand.
    `r` - The right expression operand.

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  Execute a binary operation by calling execute on each of the operands, and then calling the operate method on the derived class.

  Parameters:
    `xctxt` - The runtime execution context.
  Returns:
    The XObject result of the operation.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class Expression

### operate

    public XObject operate(XObject left,
                           XObject right)
                    throws javax.xml.transform.TransformerException

  Apply the operation to two operands, and return the result.

  Parameters:
    `left` - non-null reference to the evaluated left operand.
    `right` - non-null reference to the evaluated right operand.
  Returns:
    non-null reference to the XObject that represents the result of the operation.
  Throws:
    javax.xml.transform.TransformerException -

### getLeftOperand

    public Expression getLeftOperand()

  Returns:
    the left operand of binary operation, as an Expression.

### getRightOperand

    public Expression getRightOperand()

  Returns:
    the right operand of binary operation, as an Expression.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference